<?php
//Recoge el cdigo postal intrducido del piso pasado por parametro

$con=mysql_connect("localhost","root","opsivir")
 or die("Error: ".mysql_error());
$name = 'prueba';
$db = mysql_select_db($name,$con)
 or die("Error: ".mysql_error());

$id = mysql_escape_string($_GET["idPiso"]); 
$result = mysql_query("SELECT codigopostal FROM pisos WHERE idPiso = '$id' ") or die("Error: ".mysql_error());

echo mysql_fetch_array($result)[0];

mysql_close($con);
?>